I have a problem. I want to close the form to draw a table using lisp. The form closes, immediately writes that the point is incorrect, requests the point again, Then the form opens. What to do?
(defun c:Untitled2/Dcl-2/TB6#OnClicked (/)
;(get_data)
(dcl-Form-Close Untitled2/Dcl-2)
;(dcl-Form-Hide Untitled2/Dcl-2)
(princ)
(setq pt (getpoint "click"))
(command "_.table" "_A" 4 "_S" "Standard" "_W" 60 pt (list (+ (* 60 4) (nth 0 pt)) (nth 1 pt) (nth 2 pt)) )
)
(setq pt (getpoint "sdfg"))
(command "_point" pt)
I found out that any command via command causes such a problem. And after closing AutoCAD, some background task starts running in the processes for AutoCAD and loading the processor.
how do I make the commands work correctly?